fallo en actualizacion

Imagen de Gabriel_M
+1
0
-1

Imagen de Gasolero87
+1
0
-1

Yo tengo problemas con dos paquetes que están mal instalados y están jodiendo. Alguien me da una mano? Soy novato en esto...

:~$ sudo apt-get upgrade
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Los siguientes paquetes se ELIMINARÁN:
libglib2.0-cil libgtk2.0-cil
0 actualizados, 0 se instalarán, 2 para eliminar y 0 no actualizados.
2 no instalados del todo o eliminados.
Se liberarán 2.682 kB después de esta operación.
¿Quiere continuar [S/n]? s
(Leyendo la base de datos ... 234266 ficheros o directorios instalados actualmente.)
Desinstalando libgtk2.0-cil ...
E: File does not exist: /usr/share/cli-common/packages.d/policy.2.6.gtk-dotnet.installcligac
dpkg: error al procesar libgtk2.0-cil (--remove):
el subproceso instalado el script post-removal devolvió el código de salida de error 1
Desinstalando libglib2.0-cil ...
E: File does not exist: /usr/share/cli-common/packages.d/policy.2.6.glib-sharp.installcligac
dpkg: error al procesar libglib2.0-cil (--remove):
el subproceso instalado el script post-removal devolvió el código de salida de error 1
Se encontraron errores al procesar:
libgtk2.0-cil
libglib2.0-cil
E: Sub-process /usr/bin/dpkg returned an error code (1)

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

... ejecutar:

sudo su
apt-get update
apt-get install -f
dpkg --configure -a
apt-get dist-upgrade
apt-get autoremove
apt-get autoclean
+1
0
-1